# Uses of Class
org.apache.lucene.search.Weight

Packages that use Weight
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.search
Code to search indices.

## Uses of Weight in org.apache.lucene.document

Methods in org.apache.lucene.document that return Weight
Modifier and Type
Method
Description
`final Weight`
RangeFieldQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
XYDocValuesPointInGeometryQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`

## Uses of Weight in org.apache.lucene.search

Subclasses of Weight in org.apache.lucene.search
Modifier and Type
Class
Description
`class`
`ConstantScoreWeight`
A Weight that has a constant score equal to the boost of the wrapped query.
`protected class`
`DisjunctionMaxQuery.DisjunctionMaxWeight`
Expert: the Weight for DisjunctionMaxQuery, used to normalize, score and explain these queries.
`class`
`FilterWeight`
A `FilterWeight` contains another `Weight` and implements all abstract methods by calling the contained weight's method.
`class`
`IndriAndWeight`
The Weight for IndriAndQuery, used to normalize, score and explain these queries.
`class`
`PhraseWeight`
Expert: Weight class for phrase matching
Fields in org.apache.lucene.search declared as Weight
Modifier and Type
Field
Description
`protected final Weight`
FilterWeight.`in`
Fields in org.apache.lucene.search with type parameters of type Weight
Modifier and Type
Field
Description
`protected final ArrayList<Weight>`
DisjunctionMaxQuery.DisjunctionMaxWeight.`weights`
The Weights for our subqueries, in 1-1 correspondence with disjuncts
Methods in org.apache.lucene.search that return Weight
Modifier and Type
Method
Description
`Weight`
BooleanQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
BoostQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
ConstantScoreQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
DisjunctionMaxQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
Create the Weight used to score us
`Weight`
FieldExistsQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
IndexOrDocValuesQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
IndexSearcher.`createWeight(Query query, ScoreMode scoreMode, float boost)`
Creates a `Weight` for the given query, potentially adding caching if possible and configured.
`Weight`
IndexSortSortedNumericDocValuesRangeQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
IndriAndQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`abstract Weight`
IndriQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
MatchAllDocsQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
MatchNoDocsQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
MultiPhraseQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
PhraseQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`final Weight`
PointInSetQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`final Weight`
PointRangeQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
Query.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
Expert: Constructs an appropriate Weight implementation for this query.
`Weight`
SynonymQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
TermQuery.`createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`Weight`
LRUQueryCache.`doCache(Weight weight, QueryCachingPolicy policy)`
`Weight`
QueryCache.`doCache(Weight weight, QueryCachingPolicy policy)`
Return a wrapper around the provided `weight` that will cache matching docs per-segment accordingly to the given `policy`.
Methods in org.apache.lucene.search with parameters of type Weight
Modifier and Type
Method
Description
`Weight`
LRUQueryCache.`doCache(Weight weight, QueryCachingPolicy policy)`
`Weight`
QueryCache.`doCache(Weight weight, QueryCachingPolicy policy)`
Return a wrapper around the provided `weight` that will cache matching docs per-segment accordingly to the given `policy`.
`protected Explanation`
IndexSearcher.`explain(Weight weight, int doc)`
Expert: low-level implementation method Returns an Explanation that describes how `doc` scored against `weight`.
`protected void`
IndexSearcher.`search(IndexSearcher.LeafReaderContextPartition[] partitions, Weight weight, Collector collector)`
Lower-level search API.
`protected void`
IndexSearcher.`searchLeaf(LeafReaderContext ctx, int minDocId, int maxDocId, Weight weight, Collector collector)`
Lower-level search API
`default void`
Collector.`setWeight(Weight weight)`
Set the `Weight` that will be used to produce scorers that will feed `LeafCollector`s.
`void`
FilterCollector.`setWeight(Weight weight)`
`void`
MultiCollector.`setWeight(Weight weight)`
`void`
TotalHitCountCollector.`setWeight(Weight weight)`
Constructors in org.apache.lucene.search with parameters of type Weight
Modifier
Constructor
Description
``
`ConstantBulkScorer(BulkScorer bulkScorer, Weight weight, float theScore)`
`protected`
`FilterWeight(Query query, Weight weight)`
Alternative constructor.
`protected`
`FilterWeight(Weight weight)`
Default constructor.
``
`TermScorer(Weight weight, ImpactsEnum impactsEnum, LeafSimScorer docScorer, boolean topLevelScoringClause)`
Construct a `TermScorer` that will use impacts to skip blocks of non-competitive documents.